spring.application.name=kolay-manav

#spring.jpa.properties.hibernate.jdbc.time_zone= UTC
spring.jpa.properties.hibernate.id.new_generator_mappings= true
spring.jpa.properties.hibernate.connection.provider_disables_autocommit= true
spring.jpa.properties.hibernate.cache.use_second_level_cache= false
spring.jpa.properties.hibernate.cache.use_query_cache= false
spring.jpa.properties.hibernate.generate_statistics= false
spring.jpa.properties.hibernate.jdbc.batch_size= 25
spring.jpa.properties.hibernate.order_inserts= true
spring.jpa.properties.hibernate.order_updates= true
spring.jpa.properties.hibernate.query.fail_on_pagination_over_collection_fetch= true
spring.jpa.properties.hibernate.query.in_clause_parameter_padding= true

spring.jpa.hibernate.ddl-auto=create
spring.jpa.hibernate.naming.physical-strategy= org.springframework.boot.orm.jpa.hibernate.SpringPhysicalNamingStrategy
spring.jpa.hibernate.naming.implicit-strategy= org.springframework.boot.orm.jpa.hibernate.SpringImplicitNamingStrategy

spring.jpa.open-in-view= false
spring.jpa.database-platform=org.hibernate.dialect.PostgreSQL82Dialect
spring.sql.init.mode=always

spring.datasource.type=com.zaxxer.hikari.HikariDataSource
spring.datasource.url=jdbc:postgresql://localhost:9876/postgres
spring.datasource.username=postgres
spring.datasource.password=12345
spring.datasource.hikari.poolName=Hikari
spring.datasource.hikari.auto-commit=false

spring.liquibase.change-log=classpath:config/liquibase/master.xml

spring.mvc.format.date=yyyy-MM-dd
spring.mvc.format.date-time=yyyy-MM-dd HH:mm
spring.mvc.format.time=HH:mm
server.port=8080
spring.h2.console.enabled=true
server.error.include-message=always